Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CIAO::RTConfiguration Namespace Reference

## Compounds
struct | Policy_Config
| Containing the configuration information to create a RT policy in this framework. More...
struct | Policy_Set
| A Policy_Set contains a named collection of RTPolicies. More...
struct | Priority_Model_Config
struct | PriorityBands_Configuration
struct | RTORB_Resource_Info
| RT-related resources global to a component server. More...
struct | ThreadPool_Configuration
struct | ThreadPoolLanes_Configuration
## Typedefs
typedef sequence< ThreadPool_Configuration > | ThreadPool_Configurations
typedef sequence< ThreadPoolLanes_Configuration > | ThreadPoolLanes_Configurations
typedef sequence< PriorityBands_Configuration > | PriorityBands_Configurations
typedef sequence< Policy_Config > | Policy_Configs
typedef sequence< Policy_Set > | Policy_Sets

## Typedef Documentation

typedef sequence<Policy_Config> CIAO::RTConfiguration::Policy_Configs

typedef sequence<Policy_Set> CIAO::RTConfiguration::Policy_Sets

| An RTComponentServer can be associated with a Policy_Sets. There should be no name clashes among Policy_Set's.

typedef sequence<PriorityBands_Configuration> CIAO::RTConfiguration::PriorityBands_Configurations

typedef sequence<ThreadPool_Configuration> CIAO::RTConfiguration::ThreadPool_Configurations

typedef sequence<ThreadPoolLanes_Configuration> CIAO::RTConfiguration::ThreadPoolLanes_Configurations